petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMLabelHasPoint

Determine whether a label assigns a value to a point

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelHasPoint(DMLabel label, PetscInt point, PetscBool *contains)

### Input Parameters

| label | - the DMLabel Many br
| point | - the point Many br

### Output Parameter

contains -Flag indicating whether the label maps this point to a value Many br

Note: The user must call DMLabelCreateIndex() before this function. Many br

Many br

### See Also

DMLabelCreateIndex(), DMLabelGetValue(), DMLabelSetValue()

Level:developer
Location:src/dm/labeldmlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages